Bug 1264042 - Review Request: source-to-image - A tool for building artifacts from source and injecting into docker images
Review Request: source-to-image - A tool for building artifacts from source a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
:
: 1333466 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 07:36 EDT by Tomas Hrcka
Modified: 2016-08-21 08:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-21 08:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfojtik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Hrcka 2015-09-17 07:36:55 EDT
Spec URL: https://fedorapeople.org/~humaton/rpms/source-to-image.spec
SRPM URL: https://fedorapeople.org/~humaton/rpms/source-to-image-1.0.2-4.fc23.src.rpm
Description: Source-to-image (s2i) is a tool for building reproducible Docker images. s2i produces ready-to-run images by injecting source code into a Docker image and assembling a new Docker image which incorporates the builder image and built source. The result is then ready to use with docker run. s2i supports incremental builds which re-use previously downloaded dependencies, previously built artifacts, etc.

Fedora Account System Username: humaton
Comment 1 Michal Fojtik 2015-09-17 07:42:48 EDT
LGTM.
Comment 2 Michal Fojtik 2015-09-17 07:57:08 EDT
Tomas, would it be possible to also provide virtual 's2i' package? So I can do both:

$ dnf install source-to-image
$ dnf install s2i
Comment 3 Parag AN(पराग) 2015-09-17 08:35:16 EDT
Wow this is one of the lightning review I have ever seen in last many years ;-)
Comment 4 Michal Fojtik 2015-09-17 08:42:22 EDT
(In reply to Parag AN(पराग) from comment #3)
> Wow this is one of the lightning review I have ever seen in last many years
> ;-)

The spec has been around for a while internally and has been reviewed before ;-)
Also i briefly checked the license and other things and haven't seen anything suspicious ;-)
Comment 5 Tomas Hrcka 2015-09-17 17:49:43 EDT
New Package SCM Request
=======================
Package Name: source-to-image
Short Description: A tool for building artifacts from source and injecting into docker images
Upstream URL: https://github.com/openshift/source-to-image
Owners: thrcka
Branches: f24 epel7
InitialCC: mfojtik
Comment 6 Gwyn Ciesla 2015-09-17 20:11:52 EDT
thrcka is not in the packager group.
Comment 7 Tomas Hrcka 2015-09-18 02:23:26 EDT
New Package SCM Request
=======================
Package Name: source-to-image
Short Description: A tool for building artifacts from source and injecting into docker images
Upstream URL: https://github.com/openshift/source-to-image
Owners: humaton
Branches: f24 epel7
InitialCC: mfojtik
Comment 8 Petr Pisar 2015-09-18 04:25:48 EDT
Could you please add it into f22 and f23?

A syntax notice: The SCM Request Branches list is invalid. f24 is implicit and must not be specified.
Comment 9 Tomas Hrcka 2015-09-18 04:58:31 EDT
New Package SCM Request
=======================
Package Name: source-to-image
Short Description: A tool for building artifacts from source and injecting into docker images
Upstream URL: https://github.com/openshift/source-to-image
Owners: humaton
Branches: f22 f23 epel7
InitialCC: mfojtik
Comment 10 Gwyn Ciesla 2015-09-18 05:57:43 EDT
Git done (by process-git-requests).
Comment 11 Adam Miller 2016-05-12 16:54:00 EDT
*** Bug 1333466 has been marked as a duplicate of this bug. ***
Comment 12 Parag AN(पराग) 2016-08-21 08:54:13 EDT
I see this is already built.

Note You need to log in before you can comment on or make changes to this bug.